org.springframework.data.web.config

## Class QuerydslWebConfiguration

- java.lang.Object
- - org.springframework.data.web.config.QuerydslWebConfiguration

All Implemented Interfaces:
  WebMvcConfigurer

    @Configuration(proxyBeanMethods=false)
    public class QuerydslWebConfiguration
    extends Object
    implements WebMvcConfigurer

Querydsl-specific web configuration for Spring Data. Registers a `HandlerMethodArgumentResolver` that builds up `Predicate`s from web requests.

Since:
  1.11
Author:
  Oliver Gierke, Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`QuerydslWebConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addArgumentResolvers(List<HandlerMethodArgumentResolver> argumentResolvers)`
`QuerydslBindingsFactory` `querydslBindingsFactory()`
`QuerydslPredicateArgumentResolver` `querydslPredicateArgumentResolver()` Default `QuerydslPredicateArgumentResolver` to create Querydsl `Predicate` instances for Spring MVC controller methods.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.servlet.config.annotation.WebMvcConfigurer

`addCorsMappings, addFormatters, addInterceptors, addResourceHandlers, addReturnValueHandlers, addViewControllers, configureAsyncSupport, configureContentNegotiation, configureDefaultServletHandling, configureHandlerExceptionResolvers, configureMessageConverters, configurePathMatch, configureViewResolvers, extendHandlerExceptionResolvers, extendMessageConverters, getMessageCodesResolver, getValidator`

### Constructor Detail

#### QuerydslWebConfiguration

    public QuerydslWebConfiguration()

### Method Detail

#### querydslPredicateArgumentResolver

    @Lazy
     @Bean
    public QuerydslPredicateArgumentResolver querydslPredicateArgumentResolver()

Default `QuerydslPredicateArgumentResolver` to create Querydsl `Predicate` instances for Spring MVC controller methods.

Returns:

#### querydslBindingsFactory

    @Lazy
     @Bean
    public QuerydslBindingsFactory querydslBindingsFactory()

#### addArgumentResolvers

    public void addArgumentResolvers(List<HandlerMethodArgumentResolver> argumentResolvers)

Specified by:
  `addArgumentResolvers` in interface `WebMvcConfigurer`